Package org.eclipse.zest.core.viewers

# Interface INestedContentProvider

public interface INestedContentProvider
A content provider for nested graphs. Any entity based content provider (IGraphEntityContentProvider or IGraphEntityRelationshipContentProvider) can also implement this interface. Any node that "hasChildren" will be rendered as a container. Note: Containers cannot contain other containers.

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getChildren(Object element)`
Gets the children of this node.
`boolean`
`hasChildren(Object element)`
Does the current node have children?

## Method Details

### hasChildren

boolean hasChildren(Object element)
Does the current node have children? If so, it will be rendered as a container.

Parameters:
  `element` - The current node
Returns:
  True if it has children, false otherwise

### getChildren

Object[] getChildren(Object element)
Gets the children of this node. This method will not be called if hasChildren returns false.

Parameters:
  `element` - The current node
Returns:
  The list of children for this node.